MFG:Garrison - Ubuntu 16.04.1 dmesg error "systemd[1]: Failed to start Set console keymap."

Bug #1621824 reported by bugproxy on 2016-09-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kbd (Ubuntu)
Undecided
Steve Langasek
Xenial
Undecided
Unassigned
Yakkety
Undecided
Steve Langasek

Bug Description

[SRU Justification]
On ppc64el, console keyboard maps will not be set at boot time because of a bug in detecting which VT is "safe" to use for setting the map. This problem does not affect amd64 purely by chance, or because of which toolchain version or toolchain options were used to build the binary on each architecture; a rebuild of the kbd package could also introduce the problem on amd64.

[Test case]
1. On ppc64el, run 'sudo loadkeys /etc/console-setup/cached.kmap.gz'
2. Confirm that you are shown an error, "Couldn't get a file descriptor referring to the console".
3. Install the kbd package from xenial-proposed.
4. Run 'sudo loadkeys /etc/console-setup/cached.kmap.gz' again.
5. Confirm that no error message is shown and the command exits with staus 0.
6. Repeat steps 3-6 on amd64.

[Regression potential]
Since keymap settings are currently not being applied on ppc64el, it's possible that someone who has configured a non-default keymap on a ppc64el system will be surprised after upgrade that their keymap has changed.

== Comment: #1 - Application Cdeadmin <> - 2016-08-23 15:05:14 ==
==== State: Open by: knodelk on 23 August 2016 14:00:43 ====

Seeing the following error message in the Ubuntu dmesg log following IPL to Ubuntu on system with Ubuntu 16.04.1 installed:

# dmesg -T --level=alert,crit,err
[Tue Aug 23 09:20:12 2016] systemd[1]: Failed to start Set console keymap.

This appears to be something that can be ignored so manufacturing will be ignoring this message until directed otherwise.

==> all systemd related messages:
# dmesg -T | grep systemd
[Tue Aug 23 09:20:12 2016] systemd[1]: systemd 229 running in system mode. (+PAM +AUDIT +SELINUX +IMA +APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ -LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD -IDN)
[Tue Aug 23 09:20:12 2016] systemd[1]: Detected architecture ppc64-le.
[Tue Aug 23 09:20:12 2016] systemd[1]: Set hostname to <rcx2d406>.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on Device-mapper event daemon FIFOs.
[Tue Aug 23 09:20:12 2016] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.
[Tue Aug 23 09:20:12 2016] systemd[1]: Reached target Encrypted Volumes.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on Syslog Socket.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on Journal Socket.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on Journal Socket (/dev/log).
[Tue Aug 23 09:20:12 2016] systemd[1]: Reached target User and Group Name Lookups.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on fsck to fsckd communication Socket.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on udev Control Socket.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on LVM2 metadata daemon socket.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on LVM2 poll daemon socket.
[Tue Aug 23 09:20:12 2016] systemd[1]: Created slice User and Session Slice.
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on udev Kernel Socket.
[Tue Aug 23 09:20:12 2016] systemd[1]: Created slice System Slice.
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounting POSIX Message Queue File System...
[Tue Aug 23 09:20:12 2016] systemd[1]: Reached target Slices.
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting Create list of required static device nodes for the current kernel...
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting Nameserver information manager...
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting Monitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling...
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounting RPC Pipe File System...
[Tue Aug 23 09:20:12 2016] systemd[1]: Created slice system-serial\x2dgetty.slice.
[Tue Aug 23 09:20:12 2016] systemd[1]: Started Read required files in advance.
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting Load Kernel Modules...
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounting Debug File System...
[Tue Aug 23 09:20:12 2016] systemd[1]: Listening on Journal Audit Socket.
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting Journal Service...
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounting Huge Pages File System...
[Tue Aug 23 09:20:12 2016] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting Uncomplicated firewall...
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting Set console keymap...
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounted Debug File System.
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounted POSIX Message Queue File System.
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounted Huge Pages File System.
[Tue Aug 23 09:20:12 2016] systemd[1]: Started Create list of required static device nodes for the current kernel.
[Tue Aug 23 09:20:12 2016] systemd[1]: Started Nameserver information manager.
[Tue Aug 23 09:20:12 2016] systemd[1]: Started Uncomplicated firewall.
[Tue Aug 23 09:20:12 2016] systemd[1]: keyboard-setup.service: Main process exited, code=exited, status=1/FAILURE
[Tue Aug 23 09:20:12 2016] systemd[1]: Failed to start Set console keymap.
[Tue Aug 23 09:20:12 2016] systemd[1]: keyboard-setup.service: Unit entered failed state.
[Tue Aug 23 09:20:12 2016] systemd[1]: keyboard-setup.service: Failed with result 'exit-code'.
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounted RPC Pipe File System.
[Tue Aug 23 09:20:12 2016] systemd[1]: Started Load Kernel Modules.
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounting Configuration File System...
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting Apply Kernel Variables...
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounting FUSE Control File System...
[Tue Aug 23 09:20:12 2016] systemd[1]: Started LVM2 metadata daemon.
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting Create Static Device Nodes in /dev...
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounted FUSE Control File System.
[Tue Aug 23 09:20:12 2016] systemd[1]: Mounted Configuration File System.
[Tue Aug 23 09:20:12 2016] systemd[1]: Started Apply Kernel Variables.
[Tue Aug 23 09:20:12 2016] systemd[1]: Started Create Static Device Nodes in /dev.
[Tue Aug 23 09:20:12 2016] systemd[1]: Starting udev Kernel Device Manager...
[Tue Aug 23 09:20:12 2016] systemd[1]: Started Journal Service.
[Tue Aug 23 09:20:12 2016] systemd-journald[7090]: Received request to flush runtime journal from PID 1

===> OS LEVEL
       ver 1.5.4.3 - OS, HTX, Firmware and Machine details

                           OS: GNU/Linux
                   OS Version: Ubuntu 16.04.1 LTS \n \l
               Kernel Version: 4.4.0-31-generic

===> attaching the full dmesg output
= Comment: #2 - Application Cdeadmin <> - 2016-08-23 15:05:17 ==

== Comment: #5 - Application Cdeadmin <> - 2016-08-25 12:15:34 ==
==== State: MoreInfo by: knodelk on 25 August 2016 11:10:22 ====

Here is the requested command output:

# systemctl status -l console-setup.service
* console-setup.service - Set console font and keymap
   Loaded: loaded (/lib/systemd/system/console-setup.service; static; vendor pre

   Active: active (exited) since Thu 2016-08-25 10:51:24 CDT; 5h 12min ago
     Docs: man:loadkeys(1)
  Process: 8017 ExecStart=/bin/setupcon --save (code=exited, status=0/SUCCESS)
 Main PID: 8017 (code=exited, status=0/SUCCESS)
    Tasks: 0
   Memory: 0B
      CPU: 0
   CGroup: /system.slice/console-setup.service

Aug 25 10:51:23 rcx2e517 systemd[1]: Starting Set console font and keymap...
Aug 25 10:51:24 rcx2e517 systemd[1]: Started Set console font and keymap.
lines 1-13/13 (END)

and /var/log/kern.log is attached
==== State: MoreInfo by: byrneadw on 05 September 2016 16:47:10 ====

We collected the data again. kern.log doesn't have any logs that related to the dmesg error

The error can be recreated by doing a cold boot, it won't recreate with a reboot.

== Comment: #13 - Application Cdeadmin <> - 2016-09-08 09:05:40 ==
==== State: Open by: byrneadw on 08 September 2016 07:56:07 ====

This is the default keyboard layout.

root@rcx2d407:~# cat /etc/default/keyboard
# KEYBOARD CONFIGURATION FILE

# Consult the keyboard(5) manual page.

XKBMODEL="pc105"
XKBLAYOUT="us"
XKBVARIANT=""
XKBOPTIONS=""

BACKSPACE="guess"
root@rcx2d407:~#

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-145452 severity-high targetmilestone-inin16041
bugproxy (bugproxy) wrote : kern.log

Default Comment by Bridge

------- Comment From <email address hidden> 2016-09-09 06:54 EDT-------
== Comment: #13 - Application Cdeadmin <> - 2016-09-08 09:05:40 ====== State: MoreInfo by: knodelk on 25 August 2016 11:10:22 ====

and /var/log/kern.log is attached==== State: Open by: knodelk on 23 August 2016 14:00:43 ====

== Comment: #5 - Application Cdeadmin <> - 2016-08-25 12:15:34 ====== State: Assigned by: cde00 on 09 September 2016 05:53:29 ====

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1621824/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-09-09 09:13 EDT-------
== Comment: #1 - Application Cdeadmin <> - 2016-08-23 15:05:14 ====== State: MoreInfo by: knodelk on 25 August 2016 11:10:22 ====

== Comment: #5 - Application Cdeadmin <> - 2016-08-25 12:15:34 ====== State: Assigned by: cde00 on 09 September 2016 08:13:00 ====

Default Comment by Bridge

bugproxy (bugproxy) wrote : kern.log

Default Comment by Bridge

Luciano Chavez (lnx1138) on 2016-09-14
affects: ubuntu → console-setup (Ubuntu)
Changed in console-setup (Ubuntu):
assignee: nobody → Taco Screen team (taco-screen-team)
Steve Langasek (vorlon) wrote :

> Here is the requested command output:

> # systemctl status -l console-setup.service

This is not the systemd unit producing that message; the correct unit is keyboard-setup. Please instead provide the output of:

# systemctl status -l keyboard-setup.service

Changed in console-setup (Ubuntu):
status: New → Incomplete

------- Comment From <email address hidden> 2016-09-14 18:54 EDT-------
== Comment: #5 - Application Cdeadmin <> - 2016-08-25 12:15:34 ====== State: Assigned by: cde00 on 14 September 2016 17:54:03 ====

Luciano Chavez (lnx1138) on 2016-09-19
Changed in console-setup (Ubuntu):
status: Incomplete → Confirmed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-09-19 09:50 EDT-------
Here is the output of "systemctl status -l keyboard-setup.service"

root@rcx2d407:~# systemctl status -l keyboard-setup.service
* keyboard-setup.service - Set console keymap
Loaded: loaded (/lib/systemd/system/keyboard-setup.service; disabled; vendor preset: enabled)
Active: failed (Result: exit-code) since Thu 2016-09-15 11:24:18 CDT; 4min 59s ago
Process: 9369 ExecStart=/usr/bin/loadkeys /etc/console-setup/cached.kmap.gz (code=exited, status=1/FAILURE)
Main PID: 9369 (code=exited, status=1/FAILURE)

Sep 15 11:24:18 rcx2d407 systemd[1]: Starting Set console keymap...
Sep 15 11:24:18 rcx2d407 loadkeys[9369]: Couldn't get a file descriptor referring to the console
Sep 15 11:24:18 rcx2d407 systemd[1]: keyboard-setup.service: Main process exited, code=exited, status=1/FAILURE
Sep 15 11:24:18 rcx2d407 systemd[1]: Failed to start Set console keymap.
Sep 15 11:24:18 rcx2d407 systemd[1]: keyboard-setup.service: Unit entered failed state.
Sep 15 11:24:18 rcx2d407 systemd[1]: keyboard-setup.service: Failed with result 'exit-code'.
root@rcx2d407:~#

Steve Langasek (vorlon) wrote :

Thanks. The error message in the journal is:

 Sep 15 11:24:18 rcx2d407 loadkeys[9369]: Couldn't get a file descriptor referring to the console

This comes from loadkeys in the 'kbd' package, which carries an Ubuntu-specific patch to open consoles safely. It's possible this "safe" code is not correctly detecting consoles on this device.

Could you attach the output of 'sudo strace /usr/bin/loadkeys /etc/console-setup/cached.kmap.gz' (the command run by /lib/systemd/system/keyboard-setup.service)?

bugproxy (bugproxy) wrote :
Download full text (22.4 KiB)

------- Comment From <email address hidden> 2016-09-20 09:38 EDT-------
As requested, here is the output of 'sudo strace /usr/bin/loadkeys /etc/console-setup/cached.kmap.gz'

root@rcx2d407:/home# sudo strace /usr/bin/loadkeys /etc/console-setup/cached.kmap.gz
execve("/usr/bin/loadkeys", ["/usr/bin/loadkeys", "/etc/console-setup/cached.kmap.g"...], [/* 29 vars */]) = 0
brk(NULL) = 0x1003c2d0000
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/tls/power8/altivec/dfp/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/tls/power8/altivec/dfp", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/tls/power8/altivec/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/tls/power8/altivec", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/tls/power8/dfp/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/tls/power8/dfp", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/tls/power8/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/tls/power8", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/tls/altivec/dfp/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/tls/altivec/dfp", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/tls/altivec/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/tls/altivec", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/tls/dfp/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/tls/dfp", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/tls/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/tls", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/power8/altivec/dfp/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/power8/altivec/dfp", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/power8/altivec/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/power8/altivec", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/power8/dfp/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/power8/dfp", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/power8/libc.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/local/cuda/lib64/power8", 0x3fffdf066700) = -1 ENOENT (No such file or directory)
open("/usr/local/cuda/lib64/altivec/dfp/libc.so.6", O_RDONLY|O_C...

Steve Langasek (vorlon) wrote :

Thanks, this strace shows that src/getfd.c:getfd_keymap() is unable to find any VTs not in raw mode:

int
getfd_keymap(void) {
        int fd, bestfd = -1;
        char ttyname[sizeof("/dev/ttyNN")] = "/dev/tty";
        int i;

#define CHECK_FD_KEYMAP do { \
        if (is_a_console(fd)) { \
                long mode = kbmode(fd); \
                if (mode == K_UNICODE) { \
                        if (bestfd != -1) \
                                close(bestfd); \
                        return fd; \
                } else if (mode == K_XLATE && bestfd == -1) \
                        bestfd = fd; \
                else \
                        close(fd); \
        } else \
                close(fd); \
} while (0)

[...]

        for (i = 1; i <= 12; ++i) {
                snprintf(ttyname + sizeof("/dev/tty") - 1, 3, "%d", i);
                if ((fd = open_a_console(ttyname)) >= 0)
                        CHECK_FD_KEYMAP;
        }

        fprintf(stderr,
                _("Couldn't get a file descriptor referring to the console\n"));

        /* total failure */
        exit(1);
}

is_a_console() checks KDGKBTYPE, kbmode() checks KDGKBMODE.

Could you please compile and run the attached program as root on the affected system, and post the results?

In the course of investigating, I've discovered locally that ioctl(fd, KDGKBMODE), despite taking an unsigned long * as an argument, doesn't fully clear the address here on xenial x86_64. So if this program returns sensible results on your system, we may be looking at a memory initialization bug.

Steve Langasek (vorlon) wrote :

And the ioctl_list(2) manpage claims that KDGKBMODE should take an int*, not a long*. That would definitely explain this not working on ppc64el.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-09-20 13:23 EDT-------
cde00 (<email address hidden>) added native attachment /tmp/AIXOS06182883/check-kbd-mode.c on 2016-09-20 12:13:43

Steve Langasek (vorlon) wrote :

And I've just confirmed that with the exception of this Ubuntu patch, all calls to ioctl(..., KDGKBMODE) in the kbd source are using int*, not long*. So this is a bug in that patch, which surprisingly didn't bite us on x86_64 previously but definitely means keymap setting will be heavily dependent on memory initialization.

Results from the test program might still be interesting in case there's another bug here, but I've at least identified /a/ bug that needs fixing.

Changed in console-setup (Ubuntu):
status: Confirmed → Triaged
Steve Langasek (vorlon) on 2016-09-20
Changed in console-setup (Ubuntu Yakkety):
assignee: Taco Screen team (taco-screen-team) → Steve Langasek (vorlon)
Steve Langasek (vorlon) on 2016-09-20
Changed in console-setup (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Steve Langasek (vorlon)
Changed in console-setup (Ubuntu Yakkety):
status: Triaged → In Progress
affects: console-setup (Ubuntu Xenial) → kbd (Ubuntu Xenial)
Changed in kbd (Ubuntu Xenial):
assignee: Steve Langasek (vorlon) → nobody
Steve Langasek (vorlon) on 2016-09-20
description: updated
description: updated
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-09-22 09:56 EDT-------
output of check-kbd-mode as requested:

root@rcx2d407:/home# ls -l
total 20
-rwxr-xr-x 1 root root 70496 Sep 22 08:53 check-kbd-mode
-rwxrwxrwx 1 root root 1508 Sep 22 08:52 check-kbd-mode.c
root@rcx2d407:/home# check-kbd-mode
KBMODE of /dev/tty1: 3
KBMODE of /dev/tty2: 1
KBMODE of /dev/tty3: 1
KBMODE of /dev/tty4: 1
KBMODE of /dev/tty5: 1
KBMODE of /dev/tty6: 1
KBMODE of /dev/tty7: 3
KBMODE of /dev/tty8: 3
KBMODE of /dev/tty9: 3
KBMODE of /dev/tty10: 3
KBMODE of /dev/tty11: 3
KBMODE of /dev/tty12: 3
root@rcx2d407:/home#

On Thu, Sep 22, 2016 at 02:03:47PM -0000, bugproxy wrote:
> ------- Comment From <email address hidden> 2016-09-22 09:56 EDT-------
> output of check-kbd-mode as requested:

Thanks, that confirms that the bug is the one I found here. You should find
that this is fixed for you in the pending SRU.

Hello bugproxy, or anyone else affected,

Accepted kbd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kbd/1.15.5-1ubuntu5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kbd (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kbd - 2.0.3-2ubuntu2

---------------
kbd (2.0.3-2ubuntu2) yakkety; urgency=medium

  * debian/patches/loadkeys_find_usable_console.diff: fix wrong type argument
    to ioctl(..., KDGKBMODE), which causes consoles to not be correctly
    detected on 64-bit archs. LP: #1621824.

 -- Steve Langasek <email address hidden> Tue, 20 Sep 2016 10:53:30 -0700

Changed in kbd (Ubuntu Yakkety):
status: In Progress → Fix Released
bugproxy (bugproxy) on 2016-10-10
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kbd - 1.15.5-1ubuntu5

---------------
kbd (1.15.5-1ubuntu5) xenial; urgency=medium

  * debian/patches/loadkeys_find_usable_console.diff: fix wrong type argument
    to ioctl(..., KDGKBMODE), which causes consoles to not be correctly
    detected on 64-bit archs. LP: #1621824.

 -- Steve Langasek <email address hidden> Tue, 20 Sep 2016 10:55:50 -0700

Changed in kbd (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for kbd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Chanho Park (parkch98) wrote :

Hi,

I've same error on my arm64 board with xenial.
Could you also apply this for arm64 architecture?

------- Comment From <email address hidden> 2017-02-01 04:05 EDT-------

Dimitri John Ledkov (xnox) wrote :

@parkch98

All bug fixes are compiled and published for all architectures simultaniously. This bug report is closed, please open a new bug report for your issue. It's best to have new bugs, rather than reopening old issues. Despite similar symptoms it could be an entirely different cause.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers